FILIBDIR = $(shell cd ..; pwd)

INCLUDEDIR = $(FILIBDIR)/include
SRCDIR     = $(FILIBDIR)/src
LIBDIR	   = $(FILIBDIR)/lib

HEADERS = $(INCLUDEDIR)/config.h \
	$(INCLUDEDIR)/Interval.h \
	$(INCLUDEDIR)/ieee.h \
	$(INCLUDEDIR)/global.h \
	$(INCLUDEDIR)/rounding.h \
	$(INCLUDEDIR)/IntvAri.icc \
	$(INCLUDEDIR)/Interval.icc

ifdef FILIB_FORTRANIO
LIBS = $(LIBDIR)/fi_lib.a $(LIBDIR)/libI77.a
else
LIBS = $(LIBDIR)/fi_lib.a
endif

LOADLIBES = $(LIBS) -lm

CXXFLAGS = -I$(INCLUDEDIR) $(CXXOPT) $(CXXDEBUG) $(CXXOTHER)


%.o: %.cc $(HEADERS)
	$(CXX) -c $(CXXFLAGS) $<

%: %.o $(HEADERS) $(LIBS)
	$(CXX) -o $@ $< $(LDFLAGS) $(LOADLIBES)
